aboutsummaryrefslogtreecommitdiff
path: root/usr.sbin/bsdinstall/scripts
diff options
context:
space:
mode:
authorDevin Teske <dteske@FreeBSD.org>2016-12-13 02:47:39 +0000
committerDevin Teske <dteske@FreeBSD.org>2016-12-13 02:47:39 +0000
commitafcce2f52d911f17e303e1294564aaf2d30eecf9 (patch)
treea4faa6fcf19c246a222e2fd6434acffe4547df16 /usr.sbin/bsdinstall/scripts
parentb46ca7cefe40fbb91e3ed6ebb6d8401a48873e44 (diff)
Notes
Diffstat (limited to 'usr.sbin/bsdinstall/scripts')
-rwxr-xr-xusr.sbin/bsdinstall/scripts/wlanconfig8
1 files changed, 2 insertions, 6 deletions
diff --git a/usr.sbin/bsdinstall/scripts/wlanconfig b/usr.sbin/bsdinstall/scripts/wlanconfig
index 356290a7fa96b..08481ea3cb301 100755
--- a/usr.sbin/bsdinstall/scripts/wlanconfig
+++ b/usr.sbin/bsdinstall/scripts/wlanconfig
@@ -194,12 +194,8 @@ if [ "$BSDINSTALL_CONFIGCURRENT" ]; then
f_dialog_title "Regdomain/country"
if f_yesno "Change regdomain/country ($DEF_REGDOMAIN/$DEF_COUNTRY)?"
then
- while :; do
- dialog_country_select "$DEF_REGDOMAIN" "$DEF_COUNTRY"
- if [ $? -eq $SUCCESS ]; then
- break
- fi
- done
+ while ! dialog_country_select "$DEF_REGDOMAIN" "$DEF_COUNTRY"
+ do :; done
fi
fi